Subject: bug#617 closed by [email-masked] (#617: fixed in src:sysvinit version 3.06-4devuan3)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Mon, 17 Apr 2023 10:24:07 +0000

This is an automatic notification regarding your bug report
which was filed against the initscripts package:

#617: initscripts: brightness init script sets brightness to zero, thus blanking laptop display

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
617: https://bugs.devuan.org/cgi/bugreport.cgi?bug=617
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #617: fixed in src:sysvinit version 3.06-4devuan3
From: [email-masked]
To: [email-masked]
Date: Mon, 17 Apr 2023 10:21:13 +0000

Version: 3.06-4devuan3

Source package sysvinit (3.06-4devuan3) added to Devuan suite unstable.

This closes bug report 617.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Mon, 17 Apr 2023 10:59:34 +0100
Source: sysvinit
Architecture: source
Version: 3.06-4devuan3
Distribution: unstable
Urgency: medium
Maintainer: Devuan Developers <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 617
Changes:
 sysvinit (3.06-4devuan3) unstable; urgency=medium
 .
   * brightness initscript: don't save value of 0 when stopping (Closes: #617).
Checksums-Sha1:
 f91bac2caac34718b879f266ee583a3b5ab76f60 2008 sysvinit_3.06-4devuan3.dsc
 ccb9ab39513f07db02c9f292ae3e5d14d38ed4dd 135856 sysvinit_3.06-4devuan3.debian.tar.xz
 1953ee8f7e0d6b75f925d29257c3f66fd648b1e2 5446 sysvinit_3.06-4devuan3_source.buildinfo
Checksums-Sha256:
 5d70b322d5e1865a20d926c81bc8ac8ee8df229c68c0585552d6b090856fd1bd 2008 sysvinit_3.06-4devuan3.dsc
 da30a29185db600cc85ce50b756fd181aea18889c70d4f2258e112ec398ec7ea 135856 sysvinit_3.06-4devuan3.debian.tar.xz
 a3f158f5294124b4ef38fe279659910253ad26d8523c23b25ea3d6998a78147f 5446 sysvinit_3.06-4devuan3_source.buildinfo
Files:
 1442d1b067dd85e06b9945b17de88c63 2008 admin required sysvinit_3.06-4devuan3.dsc
 be0b36355bf802c32b969cb897666a3f 135856 admin required sysvinit_3.06-4devuan3.debian.tar.xz
 9b7c709e5f4f92a8362c3b9cf6bcb4fc 5446 admin required sysvinit_3.06-4devuan3_source.buildinfo

Subject: initscripts: brightness init script sets brightness to zero, thus blanking laptop display
From: Martin Steigerwald <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Mon, 11 Oct 2021 18:19:24 +0200

Package: initscripts
Version: 2.96-7+devuan1
Severity: normal
X-Debbugs-Cc: [email-masked]

Just updated Devuan Ceres today and found the display being blanked during
the boot process. I was able to recover over SSH using

% brightnessctl
Device 'intel_backlight' of class 'backlight':
        Current brightness: 0 (0%)
        Max brightness: 512

% brightnessctl set 100%
Updated device 'intel_backlight':
Device 'intel_backlight' of class 'backlight':
        Current brightness: 512 (100%)
        Max brightness: 512

Yet running '/etc/init.d/brightness start' blanked the display again. This
is due to:

% cat /var/lib/initscripts/brightness.intel
0

I have no idea how this value got into this file. The display was certainly
not at 0% brightness as I rebooted after the update.

Expected result:

Never ever blank the display on boot even in case
'/var/lib/initscripts/brightness.intel' contains the value zero.

Just don't.

Expected result 2:

Safe the right value to '/var/lib/initscripts/brightness.intel'. Zero is
definitly not it.

If I run:

% echo 512 > /var/lib/initscripts/brightness.intel
% /etc/init.d/brightness start

After sending this bug report I will reboot and see whether it will remember
this value. Otherwise I will 'chattr +i' this file for now.

This is on a ThinkPax X260 with Intel on board graphics from
Intel(R) Core(TM) i7-6600U CPU @ 2.60GHz CPU.

Thanks,
Martin

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (daedalus/ceres)
Release:	5
Codename:	daedalus/ceres
Architecture: x86_64

Kernel: Linux 5.14.0-2-amd64 (SMP w/4 CPU threads)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages initscripts depends on:
ii  lsb-base  11.1.0
ii  sysv-rc   2.96-7+devuan1

Versions of packages initscripts recommends:
ii  e2fsprogs  1.46.4-1
ii  psmisc     23.4-2

initscripts suggests no packages.

-- no debconf information